Result is: [ ] - after several test messages to a list

Bug #305330 reported by Jennifer Redman on 2008-12-04
2
Affects Status Importance Assigned to Milestone
Systers-mailman
Critical
Andy Grover
Development
Critical
Andy Grover

Bug Description

Verification by Jen:

1 - Postfix is definitely accepting the message (/var/log/mail.log)
2 - There is no problem sending outgoing messages from sheinvents to members on a specific list:

/usr/local/mailman/bin/list_members

from you here you can do a:

mail <address at blah>

3 - This is definitely not a network latency issue

4 - Tail of logs/info shows when new post is received:

Dec 04 15:09:56 2008 (11322) Result is: []
Dec 04 15:09:56 2008 (11322) msg['Subject'] = /Will this get logged?/
Dec 04 15:09:56 2008 (11322) post_addr_with_subject = <email address hidden>
Dec 04 15:09:56 2008 (11322) footer-text = /

To subscribe to this conversation, send email to <email address hidden> or visit <http://sheinvents.com/mailman/options/dlist-test?override=19&preference=1>
To contribute to this conversation, use your mailer's reply-all or reply-group command or send your message to <email address hidden>
To start a new conversation, send email to <email address hidden>
To unsubscribe entirely from dlist-test, send email to <email address hidden> with subject unsubscribe./
Dec 04 15:09:56 2008 (11322) Result is: []

5 - Mailman queue timestamps are being incremented for outgoing posts

qfiles/dlist, in, out, archive

6 - When a member is added to the list, the first post from the new user appears as in logs/info as:

Dec 04 15:28:21 2008 (28177) DlistUtils: Making SQL query 'SELECT COUNT(*) FROM subscriber WHERE <email address hidden>''
Dec 04 15:28:22 2008 (28177) DlistUtils: query succeeded
Dec 04 15:28:22 2008 (28177) DlistUtils: Making SQL query 'INSERT INTO subscriber (mailman_key, preference, deleted, format, suppress) VALUES ('<email address hidden>', 1, FALSE, 1, 0)'
Dec 04 15:28:22 2008 (28177) DlistUtils: query succeeded
Dec 04 15:28:22 2008 (28177) Result of query is /None/

Additionally, I received a bounced message when trying to post:

This is the mail system at host mango.buunabet.com.

I'm sorry to have to inform you that your message could not
be delivered to one or more recipients. It's attached below.

For further assistance, please send mail to postmaster.

If you do so, please include this problem report. You can
delete your own text from the attached returned message.

                   The mail system

<email address hidden>: host sheinvents.com[69.55.236.154] said: 550
    5.1.1 <email address hidden>: Recipient address rejected: User
    unknown in local recipient table (in reply to RCPT TO command)

Reporting-MTA: dns; mango.buunabet.com
X-Postfix-Queue-ID: C069512206
X-Postfix-Sender: rfc822; <email address hidden>
Arrival-Date: Thu, 4 Dec 2008 15:30:05 -0800 (PST)

Final-Recipient: rfc822; <email address hidden>
Action: failed
Status: 5.1.1
Remote-MTA: dns; sheinvents.com
Diagnostic-Code: smtp; 550 5.1.1 <email address hidden>: Recipient
    address rejected: User unknown in local recipient table

7. Fixed a permissions problem with Handlers/Dlist.pyc - changed from 660 to 664 and I received the post to my newly subscribed address.

8. Bounced message although post seems to have gone through:

Your message was rejected because it was sent to an invalid address. If you want to add a message to an existing conversation,send it to <email address hidden>, replacing 'conversation' with the name of the existing conversation. If you want to start a new conversation on dlist-test, send your message to <email address hidden>

Subject:
Re: [Dlist-test] Please let me know if anyone receives
From:
Jennifer Redman <email address hidden>
Date:
Thu, 04 Dec 2008 16:27:07 -0800
CC:
<email address hidden>
Return-Path:
<email address hidden>
X-Original-To:
<email address hidden>
Delivered-To:
<email address hidden>
Received:
from mango.buunabet.com (mango.buunabet.com [198.145.64.178]) by sheinvents.com (Postfix) with ESMTP id 9DA2510210116 for <email address hidden>; Thu, 4 Dec 2008 16:27:10 -0800 (PST)
Received:
by mango.buunabet.com (Postfix, from userid 58) id D31C61226B; Thu, 4 Dec 2008 16:27:09 -0800 (PST)
X-Spam-Checker-Version:
SpamAssassin 3.2.5 (2008-06-10) on mango.buunabet.com
X-Spam-Status:
No, score=-4.3 required=5.0 tests=ALL_TRUSTED,AWL,BAYES_00, HTML_MESSAGE autolearn=ham version=3.2.5
Received:
from pineapple.groveronline.com (gateway.groveronline.com [216.99.210.242]) (using TLSv1 with cipher DHE-RSA-AES256-SHA (256/256 bits)) (No client certificate requested) by mango.buunabet.com (Postfix) with ESMTPSA id ACDA81142B; Thu, 4 Dec 2008 16:27:07 -0800 (PST)
Message-ID:
<email address hidden>
Reply-To:
<email address hidden>
User-Agent:
Thunderbird 2.0.0.18 (Macintosh/20081105)
MIME-Version:
1.0
References:
<email address hidden>
In-Reply-To:
<email address hidden>
Content-Type:
multipart/alternative; boundary="------------050105070200080800030703"

Wonder if I can reply to this message

#####

This bug is based on this email from Robin:

I have been testing things with robin-test for the last couple of days. I used my work email (<email address hidden>) and my home email (<email address hidden>) as the two members and things worked well (not like kathy-test which wasn't sending any mail). Kathy joined with 2 email addresses (hotmail and yahoo) today. I asked a syster to join this list and send mail to it, to test out the garblings. The mail went to both of kathy's emails but to neither of mine. I have since tried sending from each email separately to make sure they both are impacted, and it's now been 4 hours since the last one was sent, so I'm pretty sure that it's not coming through (I'll send mail in the morning if it's really just slowness, but the first one was sent at 11am this morning, so this seems waaay too long.)

My guess is that this is related to the problem with kathy-test where the recipient list retrieved from the database was nil. I have no idea what is going on, but this seems like a serious problem, and certainly impacts anything we do about testing sent and received mail. If folks can try to track this down while I am gone, this would be a big help. There is a message in the info log that represents the set of recipients for the message -- here is an example for a message sent out today (Tuesday) -- and those are the recipients who actually got this message

'Dec 02 12:41:14 2008 (11322) Result is: ['<email address hidden>', '<email address hidden>']

I have a guess that this has to do with the code that does the "suppress", which is whether you get all the messages or just the first in each thread. My guess is that it is either being written or read incorrectly, but that's just a guess.

Yes, you can solve it by creating a new list, but at some point, I believe it will go back into this mode again, and I wouldn't trust the tests you've run because once we fix it, the fix might mess other things up.

Jennifer Redman (jenred) on 2008-12-04
Changed in systers:
assignee: nobody → andrew-grover
importance: Undecided → Critical
milestone: none → codefreeze
status: New → Confirmed
Jennifer Redman (jenred) on 2008-12-04
Changed in systers:
assignee: andrew-grover → andy-groveronline
description: updated
Jennifer Redman (jenred) on 2008-12-04
description: updated
Jennifer Redman (jenred) on 2008-12-05
description: updated
Jennifer Redman (jenred) on 2008-12-05
description: updated
Andy Grover (andy-groveronline) wrote :

committed in r36. Please retest.

Kathy Gee (kathyg) wrote :

1/5/09 (Kathy) - I'm not sure if this should be considered a new problem or the same. This test was performed on the ABIWT system. Tests were successful when posting new or replying to an existing post on accounts from yahoo and hotmail. However, I received following error message when using my Outlook Exchange account. I had one of the other ABI staff test and she got the same error message:

Your message did not reach some or all of the intended recipients.

      Subject: Testing again ...
      Sent: 1/2/2009 4:30 PM

The following recipient(s) could not be reached:

      <email address hidden> on 1/2/2009 4:30 PM
            The e-mail account does not exist at the organization this message was sent to. Check the e-mail address, or contact the recipient directly to find out the correct address.
            <VS10.EXCHPROD.USA.NET #5.1.1>

Is there anyway you can post in the full-headers for the message? I'd like
to see where the message was rejected. Probably under View, Full Headers or
something similar in Outlook.

Thanks,
Jen

On Mon, Jan 5, 2009 at 9:47 AM, Kathy Gee <email address hidden> wrote:

> 1/5/09 (Kathy) - I'm not sure if this should be considered a new problem
> or the same. This test was performed on the ABIWT system. Tests were
> successful when posting new or replying to an existing post on accounts
> from yahoo and hotmail. However, I received following error message
> when using my Outlook Exchange account. I had one of the other ABI
> staff test and she got the same error message:
>
> Your message did not reach some or all of the intended recipients.
>
> Subject: Testing again ...
> Sent: 1/2/2009 4:30 PM
>
> The following recipient(s) could not be reached:
>
> <email address hidden> <kathy-dlist%<email address hidden>> on 1/2/2009
> 4:30 PM
> The e-mail account does not exist at the organization this
> message was sent to. Check the e-mail address, or contact the recipient
> directly to find out the correct address.
> <VS10.EXCHPROD.USA.NET #5.1.1>
>
> --
> Result is: [ ] - after several test messages to a list
> https://bugs.launchpad.net/bugs/305330
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Download full text (10.2 KiB)

Is this what you are looking for?

Microsoft Mail Internet Headers Version 2.0
From: <email address hidden>
To: <email address hidden>
Date: Fri, 2 Jan 2009 17:30:19 -0700
MIME-Version: 1.0
Content-Type: multipart/report; report-type=delivery-status;
 boundary="9B095B5ADSN=_01C95EF341F02D58001CDAB2VS10.EXCHPROD.US"
X-DSNContext: 335a7efd - 4523 - 00000001 - 80040546
Message-ID: <email address hidden>
Subject: Delivery Status Notification (Failure)

--9B095B5ADSN=_01C95EF341F02D58001CDAB2VS10.EXCHPROD.US
Content-Type: text/plain; charset=unicode-1-1-utf-7

--9B095B5ADSN=_01C95EF341F02D58001CDAB2VS10.EXCHPROD.US
Content-Type: message/delivery-status

--9B095B5ADSN=_01C95EF341F02D58001CDAB2VS10.EXCHPROD.US
Content-Type: message/rfc822

X-MimeOLE: Produced By Microsoft Exchange V6.5
Content-class: urn:content-classes:message
MIME-Version: 1.0
Content-Type: application/ms-tnef;
 name="winmail.dat"
Content-Transfer-Encoding: binary
Subject: Testing again ...
Date: Fri, 2 Jan 2009 17:30:14 -0700
Message-ID:
<email address hidden>
X-MS-Has-Attach:
X-MS-TNEF-Correlator:
<email address hidden>
Thread-Topic: Testing again ...
Thread-Index: AcltOnHw3Ap2AqO2THOztS5NQcyECg==
From: "Kathy Gee" <email address hidden>
To: <email address hidden>

--9B095B5ADSN=_01C95EF341F02D58001CDAB2VS10.EXCHPROD.US--

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of
Jennifer Redman
Sent: Monday, January 05, 2009 10:20 AM
To: Kathy Gee
Subject: Re: [Bug 305330] Re: Result is: [ ] - after several test
messages toa list

Is there anyway you can post in the full-headers for the message? I'd
like
to see where the message was rejected. Probably under View, Full
Headers or
something similar in Outlook.

Thanks,
Jen

On Mon, Jan 5, 2009 at 9:47 AM, Kathy Gee <email address hidden> wrote:

> 1/5/09 (Kathy) - I'm not sure if this should be considered a new
problem
> or the same. This test was performed on the ABIWT system. Tests were
> successful when posting new or replying to an existing post on
accounts
> from yahoo and hotmail. However, I received following error message
> when using my Outlook Exchange account. I had one of the other ABI
> staff test and she got the same error message:
>
> Your message did not reach some or all of the intended recipients.
>
> Subject: Testing again ...
> Sent: 1/2/2009 4:30 PM
>
> The following recipient(s) could not be reached:
>
> <email address hidden> <kathy-dlist%<email address hidden>> on
1/2/2009
> 4:30 PM
> The e-mail account does not exist at the organization this
> message was sent to. Check the e-mail address, or contact the
recipient
> directly to find out the correct address.
> <VS10.EXCHPROD.USA.NET #5.1.1>
>
> --
> Result is: [ ] - after several test messages to a list
> https://bugs.launchpad.net/bugs/305330
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Result is: [ ] - after several test messages to a list
https://bugs.launchpad.net/bugs/305330
You received this bug notificat...

Jennifer Redman (jenred) wrote :
Download full text (11.9 KiB)

Yes. Not a lot info though. Ah Exchange!

Can you try this again? Try to post to the list from your
anitaborg.orgaccount? That way I can get a fresh trail in the logs.
Or is not the
account but rather when you use the Outlook client?

Thanks,
Jen

On Mon, Jan 5, 2009 at 10:35 AM, Kathy Gee <email address hidden> wrote:

> Is this what you are looking for?
>
> Microsoft Mail Internet Headers Version 2.0
> From: <email address hidden>
> To: <email address hidden>
> Date: Fri, 2 Jan 2009 17:30:19 -0700
> MIME-Version: 1.0
> Content-Type: multipart/report; report-type=delivery-status;
> boundary="9B095B5ADSN=_01C95EF341F02D58001CDAB2VS10.EXCHPROD.US"
> X-DSNContext: 335a7efd - 4523 - 00000001 - 80040546
> Message-ID: <email address hidden>
> Subject: Delivery Status Notification (Failure)
>
> --9B095B5ADSN=_01C95EF341F02D58001CDAB2VS10.EXCHPROD.US
> Content-Type: text/plain; charset=unicode-1-1-utf-7
>
> --9B095B5ADSN=_01C95EF341F02D58001CDAB2VS10.EXCHPROD.US
> Content-Type: message/delivery-status
>
> --9B095B5ADSN=_01C95EF341F02D58001CDAB2VS10.EXCHPROD.US
> Content-Type: message/rfc822
>
> X-MimeOLE: Produced By Microsoft Exchange V6.5
> Content-class: urn:content-classes:message
> MIME-Version: 1.0
> Content-Type: application/ms-tnef;
> name="winmail.dat"
> Content-Transfer-Encoding: binary
> Subject: Testing again ...
> Date: Fri, 2 Jan 2009 17:30:14 -0700
> Message-ID:
> <email address hidden>
> X-MS-Has-Attach:
> X-MS-TNEF-Correlator:
> <email address hidden>
> Thread-Topic: Testing again ...
> Thread-Index: AcltOnHw3Ap2AqO2THOztS5NQcyECg==
> From: "Kathy Gee" <email address hidden>
> To: <<email address hidden> <kathy-dlist%<email address hidden>>>
>
>
> --9B095B5ADSN=_01C95EF341F02D58001CDAB2VS10.EXCHPROD.US--
>
> -----Original Message-----
> From: <email address hidden> [mailto:<email address hidden>] On Behalf Of
> Jennifer Redman
> Sent: Monday, January 05, 2009 10:20 AM
> To: Kathy Gee
> Subject: Re: [Bug 305330] Re: Result is: [ ] - after several test
> messages toa list
>
> Is there anyway you can post in the full-headers for the message? I'd
> like
> to see where the message was rejected. Probably under View, Full
> Headers or
> something similar in Outlook.
>
> Thanks,
> Jen
>
> On Mon, Jan 5, 2009 at 9:47 AM, Kathy Gee <email address hidden> wrote:
>
> > 1/5/09 (Kathy) - I'm not sure if this should be considered a new
> problem
> > or the same. This test was performed on the ABIWT system. Tests were
> > successful when posting new or replying to an existing post on
> accounts
> > from yahoo and hotmail. However, I received following error message
> > when using my Outlook Exchange account. I had one of the other ABI
> > staff test and she got the same error message:
> >
> > Your message did not reach some or all of the intended recipients.
> >
> > Subject: Testing again ...
> > Sent: 1/2/2009 4:30 PM
> >
> > The following recipient(s) could not be reached:
> >
> > <email address hidden> <kathy-dlist%<email address hidden>> <
> kathy-dlist%<email address hidden> <kathy-dlist%<email address hidden>>> on
> 1...

Download full text (19.3 KiB)

Just sent another test post ... Kathy

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of
Jennifer Redman
Sent: Monday, January 05, 2009 11:13 AM
To: Kathy Gee
Subject: Re: [Bug 305330] Re: Result is: [ ] - after several test
messages toalist

Yes. Not a lot info though. Ah Exchange!

Can you try this again? Try to post to the list from your
anitaborg.orgaccount? That way I can get a fresh trail in the logs.
Or is not the
account but rather when you use the Outlook client?

Thanks,
Jen

On Mon, Jan 5, 2009 at 10:35 AM, Kathy Gee <email address hidden> wrote:

> Is this what you are looking for?
>
> Microsoft Mail Internet Headers Version 2.0
> From: <email address hidden>
> To: <email address hidden>
> Date: Fri, 2 Jan 2009 17:30:19 -0700
> MIME-Version: 1.0
> Content-Type: multipart/report; report-type=delivery-status;
>
boundary="9B095B5ADSN=_01C95EF341F02D58001CDAB2VS10.EXCHPROD.US"
> X-DSNContext: 335a7efd - 4523 - 00000001 - 80040546
> Message-ID: <email address hidden>
> Subject: Delivery Status Notification (Failure)
>
> --9B095B5ADSN=_01C95EF341F02D58001CDAB2VS10.EXCHPROD.US
> Content-Type: text/plain; charset=unicode-1-1-utf-7
>
> --9B095B5ADSN=_01C95EF341F02D58001CDAB2VS10.EXCHPROD.US
> Content-Type: message/delivery-status
>
> --9B095B5ADSN=_01C95EF341F02D58001CDAB2VS10.EXCHPROD.US
> Content-Type: message/rfc822
>
> X-MimeOLE: Produced By Microsoft Exchange V6.5
> Content-class: urn:content-classes:message
> MIME-Version: 1.0
> Content-Type: application/ms-tnef;
> name="winmail.dat"
> Content-Transfer-Encoding: binary
> Subject: Testing again ...
> Date: Fri, 2 Jan 2009 17:30:14 -0700
> Message-ID:
> <email address hidden>
> X-MS-Has-Attach:
> X-MS-TNEF-Correlator:
> <email address hidden>
> Thread-Topic: Testing again ...
> Thread-Index: AcltOnHw3Ap2AqO2THOztS5NQcyECg==
> From: "Kathy Gee" <email address hidden>
> To: <<email address hidden> <kathy-dlist%<email address hidden>>>
>
>
> --9B095B5ADSN=_01C95EF341F02D58001CDAB2VS10.EXCHPROD.US--
>
> -----Original Message-----
> From: <email address hidden> [mailto:<email address hidden>] On Behalf
Of
> Jennifer Redman
> Sent: Monday, January 05, 2009 10:20 AM
> To: Kathy Gee
> Subject: Re: [Bug 305330] Re: Result is: [ ] - after several test
> messages toa list
>
> Is there anyway you can post in the full-headers for the message? I'd
> like
> to see where the message was rejected. Probably under View, Full
> Headers or
> something similar in Outlook.
>
> Thanks,
> Jen
>
> On Mon, Jan 5, 2009 at 9:47 AM, Kathy Gee <email address hidden>
wrote:
>
> > 1/5/09 (Kathy) - I'm not sure if this should be considered a new
> problem
> > or the same. This test was performed on the ABIWT system. Tests
were
> > successful when posting new or replying to an existing post on
> accounts
> > from yahoo and hotmail. However, I received following error message
> > when using my Outlook Exchange account. I had one of the other ABI
> > staff test and she got the same error message:
> >
> > Your message did not reach some or all of the intended r...

Jennifer Redman (jenred) wrote :
Download full text (22.7 KiB)

Can you try creating a new list and seeing if it happens on the new list as
well? This is really strange because the message is not being rejected from
that address by Postfix.

Also would you add me to the list?

<email address hidden>

Thanks,
Jen

On Mon, Jan 5, 2009 at 11:24 AM, Kathy Gee <email address hidden> wrote:

> Just sent another test post ... Kathy
>
> -----Original Message-----
> From: <email address hidden> [mailto:<email address hidden>] On Behalf Of
> Jennifer Redman
> Sent: Monday, January 05, 2009 11:13 AM
> To: Kathy Gee
> Subject: Re: [Bug 305330] Re: Result is: [ ] - after several test
> messages toalist
>
> Yes. Not a lot info though. Ah Exchange!
>
> Can you try this again? Try to post to the list from your
> anitaborg.orgaccount? That way I can get a fresh trail in the logs.
> Or is not the
> account but rather when you use the Outlook client?
>
> Thanks,
> Jen
>
> On Mon, Jan 5, 2009 at 10:35 AM, Kathy Gee <email address hidden> wrote:
>
> > Is this what you are looking for?
> >
> > Microsoft Mail Internet Headers Version 2.0
> > From: <email address hidden>
> > To: <email address hidden>
> > Date: Fri, 2 Jan 2009 17:30:19 -0700
> > MIME-Version: 1.0
> > Content-Type: multipart/report; report-type=delivery-status;
> >
> boundary="9B095B5ADSN=_01C95EF341F02D58001CDAB2VS10.EXCHPROD.US"
> > X-DSNContext: 335a7efd - 4523 - 00000001 - 80040546
> > Message-ID: <email address hidden>
> > Subject: Delivery Status Notification (Failure)
> >
> > --9B095B5ADSN=_01C95EF341F02D58001CDAB2VS10.EXCHPROD.US
> > Content-Type: text/plain; charset=unicode-1-1-utf-7
> >
> > --9B095B5ADSN=_01C95EF341F02D58001CDAB2VS10.EXCHPROD.US
> > Content-Type: message/delivery-status
> >
> > --9B095B5ADSN=_01C95EF341F02D58001CDAB2VS10.EXCHPROD.US
> > Content-Type: message/rfc822
> >
> > X-MimeOLE: Produced By Microsoft Exchange V6.5
> > Content-class: urn:content-classes:message
> > MIME-Version: 1.0
> > Content-Type: application/ms-tnef;
> > name="winmail.dat"
> > Content-Transfer-Encoding: binary
> > Subject: Testing again ...
> > Date: Fri, 2 Jan 2009 17:30:14 -0700
> > Message-ID:
> > <email address hidden>
> > X-MS-Has-Attach:
> > X-MS-TNEF-Correlator:
> > <email address hidden>
> > Thread-Topic: Testing again ...
> > Thread-Index: AcltOnHw3Ap2AqO2THOztS5NQcyECg==
> > From: "Kathy Gee" <email address hidden>
> > To: <<email address hidden> <kathy-dlist%<email address hidden>> <
> kathy-dlist%<email address hidden> <kathy-dlist%<email address hidden>>>>
> >
> >
> > --9B095B5ADSN=_01C95EF341F02D58001CDAB2VS10.EXCHPROD.US--
> >
> > -----Original Message-----
> > From: <email address hidden> [mailto:<email address hidden>] On Behalf
> Of
> > Jennifer Redman
> > Sent: Monday, January 05, 2009 10:20 AM
> > To: Kathy Gee
> > Subject: Re: [Bug 305330] Re: Result is: [ ] - after several test
> > messages toa list
> >
> > Is there anyway you can post in the full-headers for the message? I'd
> > like
> > to see where the message was rejected. Probably under View, Full
> > Headers or
> > something similar in Outlook.
> >
> > Thanks,
> > Jen
> >
> > On Mon, Jan 5, 200...

Kathy Gee (kathyg) on 2009-01-21
Changed in systers:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers